#Tile info patching script for Keen 1
%ext ck1

%version 1.31
%patchfile 0x130F8 Smb1.tli

#Icecube kills Keen 
%patch $20D6 $03 $00

#Don't lose ammo when shooting: 
%patch $3E3B  $90 $90 $90 $90

#Rocket landing on earth sprite 
%patch $84DF $73 $00 

#Level 17
%level.file 17 LEVEL17.CK1

#Change things when marking a level as done
%patch $8013  $90 $90 $C6 $87 $A5 $AA $01 $90
%patch $7E48  $83 $7E $FC $20

#32 levels:
#Let Keen enter levels if these values are 1
%patch $7D3A  $90 $90 $80 $BF $A6 $AA $00
%patch $7FCA  $90 $90 $80 $BF $A5 $AA $00

#Hint level 2
%patch $15080 "Metal Mario:        "
%patch $15096 "                    "
%patch $150AC "You can only rescue "
%patch $150C2 "your friends in the "
%patch $150D8 "4 level of the 4    "
%patch $150EE "warp zone!          "
%patch $15104 "                    "

#Hint level 6
%patch $1511A "Dr.Mario:           "
%patch $15130 "                    "
%patch $15146 "The 5th and the     "
%patch $1515C "secret zone are only"
%patch $15172 "bonus zones! These  "
%patch $15188 "are to the south of "
%patch $1519E "the Kingdom.        "

#Hint level 12
%patch $15340 "Waluigi:            "
%patch $15356 "                    "
%patch $1536C "Get ready to die,   "
%patch $15382 "Mario! My mate is    "
%patch $15399 "waiting for you.    "
%patch $153AF "Hahahahaha!!!       "
%patch $153C5 "                    "

#Menu
%patch $15EE9 "1 player"
%patch $15EF6 "Continue Game"
%patch $15F08 "Story"
%patch $15F12 "The game   "
%patch $15F22 "Score      "
%patch $15F32 "Szemi        "
%patch $15F44 "Previews "
%patch $15F52 "Restart game"
%patch $15F61 "Use the " $00 "arrows"

#Loading Screen
%patch $14F1D "Super Mario Bros...                                    "
%patch $14F55 "Joystick detected"
%patch $14F67 "Joystick not detected"
%patch $14FA3 "EGA card detected"
%patch $14FB5 "VGA card detected"
%patch $1503B "Decompressing graphics, this may take some time..."

#Items Cheat
%patch $14DEE "You have lucky day!  "
%patch $14E05 "You got unlimited fire    "
%patch $14E21 "flower, the axe and   "
%patch $14E39 "the mushroom.           "

#Ordering Info
%patch $1632C "Hello.                  "
%patch $16346 "My name's David Szemerdak"
%patch $16364 "and I'm the creator"
%patch $1637B "of this mod.         "
%patch $16392 "My purpose is to bring   "
%patch $163AD "back memories from the   "
%patch $163C8 "classic NES game Super   "
%patch $163E4 "Mario Bros.,who doesn't have         "
%patch $1640D "this game on NES console and       "
%patch $16434 "wants to play it as a Keen mod.    "
%patch $1645B "It's the second NES mod after    "
%patch $16480 "Zelda II mod by CheesyDave."
%patch $164B5 "               "
%patch $164C6 "                "
%patch $164DD "               "
%patch $164EE "               "
%patch $16505 "               "
%patch $16516 "               "
%patch $1652D "                 "
%patch $16542 "                                        "
%patch $16573 "                                  "

#Satus Screen
%patch $14E56 "SCORE"
%patch $14E60 "EXTRA LIFE AT"
%patch $14E77 "LIVES"
%patch $14E83 "FRIENDS   "
%patch $14E9B "FLOWER"
%patch $14EA4 "JUMP"
%patch $14EAC "AXE     "
%patch $14EC8 "FIRE  "
%patch $14EDE "PLEASE PRESS A KEY"
%patch $15EDB "Lives left"

#Finale
%patch $15C24 "Mario successfully rescued his four"
%patch $15C49 "friend. Now the purpose is to    "
%patch $15C6C "go back to the castle. There will  "
%patch $15C91 "be party!!                     "

%patch $15CBD "They went back to the "
%patch $15CD5 "castle,but they   "
%patch $15CE9 "heard a noise.   "

%patch $15CFB "Shhh, guys... Maybe"
%patch $15D10 "the Mushroom King  "
%patch $15D25 "is coming."

%patch $15D30 "Thank you so much for"
%patch $15D47 "rescuing my princess!"
%patch $15D5E "I have a surprise  "
%patch $15D73 "for you!   "

%patch $15D80 "You're welcome! "
%patch $15D92 "         "

%patch $15D9C "Wario's plans are all "
%patch $15DB4 "failed, now the     "
%patch $15DCA "Kingdom is free again. "

%patch $15DE2 "Yes! Triple hurray!"

%patch $15DF6 "Hip-hip hurray!!"

%patch $15E07 "And now PARTYYYY!!!!!"
%patch $15E1E "My friends, drink for  "
%patch $15E37 "the free Kingdom!!!"
%patch $15E4C "This party is awesome"
%patch $15E63 "guys! YAY....."

#Loading Screen
%patch $14F1D "Super Mario Bros...                                    "
%patch $14F55 "Joystick detected"
%patch $14F67 "Joystick not detected"
%patch $14FA3 "EGA card detected"
%patch $14FB5 "VGA card detected"
%patch $1503B "Decompressing graphics, this may take some time..."

#Vorticon Guard strength - 10
%patch $180D $09 $00

#Vorticon Commander strength - 20
%patch $1819 $13 $00

#About ID
%patch $15F80 "Super Mario Brothers is a classic "
%patch $15FA8 "game for NES, made by Nintendo   "
%patch $15FD0 "software in 1985. This is my  "
%patch $15FF8 "first Nintendo mod  "
%patch $16020 "for Commander Keen.And although "
%patch $16048 "it's Keen, the game gives Mario    "
%patch $16070 "feeling. Moreover to      "
%patch $16098 "credit Nintendo, they  "
%patch $160C0 "made a lots of game. They are"
%patch $160E8 "popular on the NES console.      "
%patch $16110 "                         "

#High Scores
%patch $1593F "Mario"
%patch $1594E "Luigi  "
%patch $1595D "Szemi "

#Ship Message
%patch $1659B "Your friends are in "
%patch $165B0 "trouble!    "
%patch $165C6 "Rescue them!"

%end
